Rollout policies

Rollout policies from GitOps (read-only).

All paths are relative to the base path /api/v1 (same origin as the UI). Authentication, roles, pagination and the error format are described in the overview; the types are on the page Data types.

OperationRequestPermission
All rollout policies (including the built-in “default” if not overridden)GET /rollout-policiesread (viewer)
One rollout policyGET /rollout-policies/{name}read (viewer)

All rollout policies (including the built-in “default” if not overridden)

GET /api/v1/rollout-policies

Operation listRolloutPolicies. Permission read (lowest role: viewer).

Responses

StatusDescriptionContent typeType
200Policiesapplication/jsonRolloutPolicyList
401Not authenticated (code unauthorized)application/problem+jsonProblem

One rollout policy

GET /api/v1/rollout-policies/{name}

Operation getRolloutPolicy. Permission read (lowest role: viewer).

Parameters

NameInTypeRequiredDescription
namepathstringyesPattern ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$.

Responses

StatusDescriptionContent typeType
200Policyapplication/jsonRolloutPolicy
404Not found (code not_found)application/problem+jsonProblem